This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 28624 - "cardtl eject" segmentation violation and failed kernal paging request
"cardtl eject" segmentation violation and failed kernal paging request
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-21 11:11 EST by Bertil Askelid
Modified: 2007-04-18 12:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-05 19:46:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bertil Askelid 2001-02-21 11:11:05 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.2.17-14 i686)


With "Xircom", "CardBus Ethernet 10/100 + Modem 56", "CBEM56G", "1.03"
in PCMCIA slot, do a "cardctl eject". You will then get a Segmentation 
violation.

Reproducible: Sometimes
Steps to Reproduce:
1.Use PCMCIA card for a day or two without interruption
2.Shut down Ethernet or PPP
3.Do "cardctl eject"
	

Actual Results:  Segmentation violation. The card is from now on reported
as being
busy. /etc/rc.d/init.d/pcmcia restart doesn't help. As far as I have
figurred it out, I have to do a full reboot to get things back to its
normal usable state.

Expected Results:  Card should have freed and kernel resources for it put
in idle state for standby mode.

I'm using kernel-pcmcia-cs-2.2.17-14 and kernel-2.2.17-14 on a Dell
Inspiron 7500 laptop with a 650 MHz i686 and 256 MByte memory and 18 GByte
disk. All RedHat-7.0 updates have been applied. I'm using AcceleratedX-6.0
from XiGraphics as X server.

Here is a transcript from /var/log/messages:

chat:  Feb 20 05:51:02 CONNECT 45333
Feb 20 05:51:04 z pppd[12421]: Serial connection established.
Feb 20 05:51:04 z pppd[12421]: Using interface ppp0
Feb 20 05:51:04 z pppd[12421]: Connect: ppp0 <--> /dev/ttyS1
Feb 20 05:51:05 z pppd[12421]: local  IP address 216.98.151.112
Feb 20 05:51:05 z pppd[12421]: remote IP address 216.98.151.3
Feb 20 05:51:05 z pppd[12421]: primary   DNS address 216.98.128.70
Feb 20 05:51:05 z pppd[12421]: secondary DNS address 216.98.138.70
Feb 20 05:53:27 z pppd[12421]: Terminating on signal 15.
Feb 20 05:53:27 z pppd[12421]: Connection terminated.
Feb 20 05:53:27 z pppd[12421]: Connect time 2.4 minutes.
Feb 20 05:53:27 z pppd[12421]: Sent 14498 bytes, received 387423 bytes.
Feb 20 05:53:28 z pppd[12421]: Exit.
Feb 20 06:10:01 z kernel: PPP: ppp line discipline successfully
unregistered
Feb 20 06:27:05 z kernel: usb.c: deregistering driver acm
Feb 20 06:27:05 z cardmgr[462]: executing: './network check eth0'
Feb 20 06:27:05 z cardmgr[462]: executing: './serial check ttyS1'
Feb 20 06:27:06 z cardmgr[462]: shutting down socket 0
Feb 20 06:27:06 z cardmgr[462]: executing: './network stop eth0'
Feb 20 06:27:06 z cardmgr[462]: executing: './serial stop ttyS1'
Feb 20 06:27:06 z cardmgr[462]: executing: 'modprobe -r tulip_cb'
Feb 20 06:27:06 z kernel: tty01 unloaded
Feb 20 06:27:06 z cardmgr[462]: executing: 'modprobe -r serial_cb'
Feb 20 06:27:06 z cardmgr[462]: executing: 'modprobe -r cb_enabler'
Feb 20 06:27:06 z kernel: Unable to handle kernel paging request at virtual
address d007144c
Feb 20 06:27:06 z kernel: current->tss.cr3 = 0649c000, %%cr3 = 0649c000
Feb 20 06:27:06 z kernel: *pde = 0ffd7063
Feb 20 06:27:06 z kernel: *pte = 00000000
Feb 20 06:27:06 z kernel: Oops: 0000
Feb 20 06:27:06 z kernel: CPU:    0
Feb 20 06:27:06 z kernel: EIP:   
0010:[ppp:__insmod_ppp_O/lib/modules/2.2.17-14/net/ppp.o_M3A7F16FE_V1+-68532/96]
Feb 20 06:27:06 z kernel: EFLAGS: 00010002
Feb 20 06:27:06 z kernel: eax: d007144c   ebx: cf6d67e0   ecx: cef86cb4  
edx: cef86cb4
Feb 20 06:27:06 z kernel: esi: 00000008   edi: 00000001   ebp: c4e37c88  
esp: c4e37c74
Feb 20 06:27:06 z kernel: ds: 0018   es: 0018   ss: 0018
Feb 20 06:27:06 z kernel: Process cardctl (pid: 15642, process nr: 100,
stackpage=c4e37000)
Feb 20 06:27:06 z kernel: Stack: 00000001 cf6d681c cf40e800 cf40e800
cef86ca0 c4e37ca0 d009f741 cf40e800 
Feb 20 06:27:06 z kernel:        00000008 00000001 00000246 c4e37cb4
d00a186d cf40e800 0000003d 00000000 
Feb 20 06:27:06 z kernel:        c4e37cc8 d00a1cf7 cf6d6240 00000000
0000640e c4e37f90 d00b7083 0000003d 
Feb 20 06:27:06 z kernel: Call Trace: [<d009f741>] [<d00a186d>]
[<d00a1cf7>] [<d00b7083>] [do_generic_file_read+1496/1508]
[cprt+1396/20000] [read_exec+194/316] 
Feb 20 06:27:06 z kernel:        [get_hash_table+23/36] [getblk+30/324]
[get_hash_table+23/36] [getblk+30/324] [inode_getblk+71/392]
[get_hash_table+23/36] [getblk+30/324] [ext2_free_inode+630/640] 
Feb 20 06:27:06 z kernel:        [ext2_delete_inode+118/124] [iput+173/508]
[__brelse+19/96] [ext2_unlink+400/416] [sys_ioctl+421/448]
[system_call+52/56] 
Feb 20 06:27:06 z kernel: Code: <1>Unable to handle kernel paging request
at virtual address d007144c
Feb 20 06:27:06 z kernel: current->tss.cr3 = 0649c000, %%cr3 = 0649c000
Feb 20 06:27:06 z kernel: *pde = 0ffd7063
Feb 20 06:27:06 z kernel: *pte = 00000000
Feb 20 06:27:06 z kernel: Oops: 0000
Feb 20 06:27:06 z kernel: CPU:    0
Feb 20 06:27:06 z kernel: EIP:    0010:[show_registers+653/704]
Feb 20 06:27:06 z kernel: EFLAGS: 00010046
Feb 20 06:27:06 z kernel: eax: 00000000   ebx: 00000000   ecx: d007144c  
edx: cf668000
Feb 20 06:27:06 z kernel: esi: 0000002b   edi: c4e38000   ebp: d0000000  
esp: c4e37bb4
Feb 20 06:27:06 z kernel: ds: 0018   es: 0018   ss: 0018
Feb 20 06:27:06 z kernel: Process cardctl (pid: 15642, process nr: 100,
stackpage=c4e37000)
Feb 20 06:27:06 z kernel: Stack: 00000071 c4e37c88 c024e0ae 00000008
00000001 c4e37c88 d007144c cf6d67e0 
Feb 20 06:27:06 z kernel:        cef86cb4 cef86cb4 d007144c 00010002
d007144d d0800000 c010a340 c4e37c38 
Feb 20 06:27:06 z kernel:        c01dbab6 c01dd86e 00000000 00000000
c01103b8 c01dd86e c4e37c38 00000000 
Feb 20 06:27:06 z kernel: Call Trace:
[ppp:__insmod_ppp_O/lib/modules/2.2.17-14/net/ppp.o_M3A7F16FE_V1+-68532/96]
[ppp:__insmod_ppp_O/lib/modules/2.2.17-14/net/ppp.o_M3A7F16FE_V1+-68532/96]
[ppp:__insmod_ppp_O/lib/modules/2.2.17-14/net/ppp.o_M3A7F16FE_V1+-68531/96]
[<d0800000>] [die+48/56] [error_table+2646/10528] [error_table+10254/10528] 
Feb 20 06:27:06 z kernel:        [do_page_fault+708/944]
[error_table+10254/10528] [error_code+45/56]
[ppp:__insmod_ppp_O/lib/modules/2.2.17-14/net/ppp.o_M3A7F16FE_V1+-68532/96]
[ppp:__insmod_ppp_O/lib/modules/2.2.17-14/net/ppp.o_M3A7F16FE_V1+-68532/96]
[<d009f70e>] [<d009f741>] [<d00a186d>] 
Feb 20 06:27:06 z kernel:        [<d00a1cf7>] [<d00b7083>]
[do_generic_file_read+1496/1508] [cprt+1396/20000] [read_exec+194/316]
[get_hash_table+23/36] [getblk+30/324] [get_hash_table+23/36] 
Feb 20 06:27:06 z kernel:        [getblk+30/324] [inode_getblk+71/392]
[get_hash_table+23/36] [getblk+30/324] [ext2_free_inode+630/640]
[ext2_delete_inode+118/124] [iput+173/508] [__brelse+19/96] 
Feb 20 06:27:06 z kernel:        [ext2_unlink+400/416] [sys_ioctl+421/448]
[system_call+52/56] 
Feb 20 06:27:06 z kernel: Code: 8a 04 0b 89 44 24 38 50 68 ae ba 1d c0 e8
25 ac 00 00 83 c4
Comment 1 Alan Cox 2003-06-05 19:46:17 EDT
We no longer use the old pcmcia

Note You need to log in before you can comment on or make changes to this bug.